Package org.opensaml.saml.saml1.core

# Interface Action

All Superinterfaces:
  `SAMLObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `ActionImpl`

public interface Action extends SAMLObject, XSString
Interface describing how a SAML1.1 `Action` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Default element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`NAMESPACE_ATTRIB_NAME`
Name for the Namespace attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespace()`
Return the value of Namespace.
`void`
`setNamespace(String namespace)`
Set the value of Namespace.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Default element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NAMESPACE_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAMESPACE_ATTRIB_NAME
Name for the Namespace attribute.

See Also:
  - Constant Field Values

## Method Details

### getNamespace

@Nullable String getNamespace()
Return the value of Namespace.

Returns:
  the namespace

### setNamespace

void setNamespace(@Nullable String namespace)
Set the value of Namespace.

Parameters:
  `namespace` - what to set